# Interface methods for submodule: SimpleFilterWatcher
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: SimpleFilterWatcher
class SimpleFilterWatcherProxy():
	def GetNameOfClass(self):
		""""""
		...

	def QuietOn(self) -> None:
		""""""
		...

	def QuietOff(self) -> None:
		""""""
		...

	def TestAbortOn(self) -> None:
		""""""
		...

	def TestAbortOff(self) -> None:
		""""""
		...

	def GetProcess(self):
		""""""
		...

	def SetSteps(self, val: int) -> None:
		""""""
		...

	def GetSteps(self) -> int:
		""""""
		...

	def SetIterations(self, val: int) -> None:
		""""""
		...

	def GetIterations(self) -> int:
		""""""
		...

	def SetQuiet(self, val: bool) -> None:
		""""""
		...

	def GetQuiet(self) -> bool:
		""""""
		...

	def GetComment(self) -> str:
		""""""
		...

	def GetTimeProbe(self):
		""""""
		...

